#
# This package is part of the KDE Stack.
#

%define rel	1

Name:		kirigami
Version:	1.1.0
Release:	%mkrel %{rel}
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE
URL:		https://techbase.kde.org/Kirigami
Source0:	http://download.kde.org/stable/kirigami/%{name}-%{version}.tar.xz
# Kf5 BuildRequires
BuildRequires:	kf5-macros
BuildRequires:	libkf5declarative-devel
BuildRequires:	libkf5plasma-devel
# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigamiplugin_qt.lang
%doc README.md
%{_kf5_qmldir}/org/kde/kirigami/

#--------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains header files needed if you wish to build
applications based on %{name}.

%files devel
%{_kf5_libdir}/cmake/KF5Kirigami/
%{_kf5_mkspecsdir}/qt_Kirigami.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang_kf5 libkirigamiplugin_qt


%changelog
* Tue Oct 02 2018 adrianomorselli <adrianomorselli> 1.1.0-1uplos2018
- imported from mga6 for uplos
